Summary: RADIUS protocol client library
Name: radcli
Version: 1.3.1
Release:    1%{?dist}


License: BSD and MIT
URL: http://radcli.github.io/radcli/

%{expand:%(echo "%%global myversion %{version}" | \
  sed 's/\./_/g')}

Source0: https://github.com/radcli/radcli/releases/download/%{name}_%{myversion}/%{name}-%{version}.tar.gz

BuildRequires: libtool, automake, autoconf
BuildRequires: make
BuildRequires:  gcc
BuildRequires: nettle-devel >= 2.7.1
BuildRequires: gnutls-devel

%description
The radcli library is a library for writing RADIUS Clients. The library's
approach is to allow writing RADIUS-aware application in less than 50 lines
of C code. It was based originally on freeradius-client and is source compatible
with it.

%package devel
Summary: Development files for radcli
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications
that use %{name}.

%package compat-devel
Summary: Development files for compatibility with radiusclient-ng and freeradius-client
Requires: %{name}-devel = %{version}-%{release}
Conflicts: freeradius-client-devel, radiusclient-ng-devel

%description compat-devel
This package contains the compatibility headers and libraries for freeradius-client
and radiusclient-ng.

%prep
%autosetup -p1
rm -f lib/md5.c
sed -i -e 's|sys_lib_dlsearch_path_spec="[^"]\+|& %{_libdir}|g' configure

%build
autoreconf -fvi
%configure --disable-static --disable-rpath --with-nettle --with-tls --enable-legacy-compat
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la


mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p %{buildroot}%{_datadir}/%{name}/dictionary %{buildroot}%{_sysconfdir}/%{name}/dictionary


%files
%doc README.md NEWS
%license COPYRIGHT

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/radiusclient.conf
%config(noreplace) %{_sysconfdir}/%{name}/radiusclient-tls.conf
%config(noreplace) %{_sysconfdir}/%{name}/servers
%config(noreplace) %{_sysconfdir}/%{name}/servers-tls
%config(noreplace) %{_sysconfdir}/%{name}/dictionary

%{_libdir}/libradcli.so.*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dictionary
%{_datadir}/%{name}/dictionary.roaringpenguin
%{_datadir}/%{name}/dictionary.microsoft
%{_datadir}/%{name}/dictionary.ascend
%{_datadir}/%{name}/dictionary.compat
%{_datadir}/%{name}/dictionary.merit
%{_datadir}/%{name}/dictionary.sip

%files devel

%dir %{_includedir}/%{name}
%{_includedir}/%{name}
%{_includedir}/%{name}/radcli.h
%{_includedir}/%{name}/version.h
%{_libdir}/libradcli.so
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc

%files compat-devel

%{_includedir}/freeradius-client.h
%{_includedir}/radiusclient-ng.h
%{_libdir}/libfreeradius-client.so
%{_libdir}/libradiusclient-ng.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
